RegistriesOperations Class

RegistriesOperations operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
RegistriesOperations

Constructor

RegistriesOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

begin_schedule_run

Schedules a new run based on the request parameters and add it to the run queue.

get_build_source_upload_url

Get the upload location for the user to be able to upload the source.

begin_schedule_run

Schedules a new run based on the request parameters and add it to the run queue.

begin_schedule_run(resource_group_name: str, registry_name: str, run_request: azure.mgmt.containerregistry.v2019_06_01_preview.models._models_py3.RunRequest, **kwargs: Any) -> azure.core.polling._poller.LROPoller[azure.mgmt.containerregistry.v2019_06_01_preview.models._models_py3.Run]

Parameters

resource_group_name
str
Required

The name of the resource group to which the container registry belongs.

registry_name
str
Required

The name of the container registry.

run_request
RunRequest
Required

The parameters of a run that needs to scheduled.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either Run or the result of cls(response)

Return type

Exceptions

get_build_source_upload_url

Get the upload location for the user to be able to upload the source.

get_build_source_upload_url(resource_group_name: str, registry_name: str, **kwargs: Any) -> azure.mgmt.containerregistry.v2019_06_01_preview.models._models_py3.SourceUploadDefinition

Parameters

resource_group_name
str
Required

The name of the resource group to which the container registry belongs.

registry_name
str
Required

The name of the container registry.

cls
callable

A custom type or function that will be passed the direct response

Returns

SourceUploadDefinition, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.containerregistry.v2019_06_01_preview.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\containerregistry\\v2019_06_01_preview\\models\\__init__.py'>